<?xml version="1.0" encoding="UTF-8"?>
<plugin
   id="org.eclipse.hyades.models.sdb"
   name="%pluginName"
   version="1.2.0"
   provider-name="Eclipse.org"
   class="org.eclipse.hyades.models.internal.sdb.SDBPlugin$Implementation">

   <runtime>
      <library name="sdb_model.jar">
         <export name="*"/>
		 <packages prefixes="org.eclipse.hyades.models.internal.sdb"/>                                
      </library>
   </runtime>
   
   <requires>
      <import plugin="org.eclipse.emf.ecore" export="true"/>
      <import plugin="org.eclipse.emf.common" export="true"/>
      <import plugin="org.eclipse.emf.ecore.xmi" export="true"/>
      <import plugin="org.eclipse.core.runtime" export="true"/>
      <import plugin="org.eclipse.core.resources" export="true"/>
      <import plugin="org.apache.xerces" export="true"/>
   </requires>

   <extension-point id="sdb_resource_loader" name="%resourceLoader"/>

   <extension
         point="org.eclipse.emf.ecore.generated_package">
      <package
            uri="http://www.eclipse.org/hyades/models/SDB.xmi"
            class="org.eclipse.hyades.models.internal.sdb.SDBPackage">
      </package>
   </extension>

</plugin>
